Package org.bukkit.block.data.type

# Interface Sapling

All Superinterfaces:
  `BlockData`, `Cloneable`

All Known Subinterfaces:
  `Bamboo`

public interface Sapling extends BlockData
'stage' represents the growth stage of a sapling.
When the sapling reaches `getMaximumStage()` it will attempt to grow into a tree as the next stage.

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaximumStage()`
Gets the maximum allowed value of the 'stage' property.
`int`
`getStage()`
Gets the value of the 'stage' property.
`void`
`setStage(int stage)`
Sets the value of the 'stage' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

## Method Details

### getStage

int getStage()
Gets the value of the 'stage' property.

Returns:
  the 'stage' value

### setStage

void setStage(int stage)
Sets the value of the 'stage' property.

Parameters:
  `stage` - the new 'stage' value

### getMaximumStage

int getMaximumStage()
Gets the maximum allowed value of the 'stage' property.

Returns:
  the maximum 'stage' value